Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class DetailCreateTask

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.DetailCreateTask

All Implemented Interfaces:
  `java.io.Serializable`

    public class DetailCreateTask
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `DIALUP_MODULE` |
  `static int` | `IPN_MODULE` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DetailCreateTask()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCount()` |
  `java.lang.String` | `getDialupLogin()` |
  `java.util.List<IpNet>` | `getDialupNetList()` |
  `long` | `getDialupSessionIp()` |
  `java.lang.String` | `getEmail()` |
  `java.lang.String` | `getFileName()` |
  `long` | `getIpnFromAddr()` |
  `java.util.Calendar` | `getIpnHour()` |
  `java.util.Set<java.lang.Integer>` | `getIpnIfaceSet()` |
  `long` | `getIpnToAddr()` |
  `java.lang.String` | `getLogins()` |
  `int` | `getModule()` |
  `java.util.Calendar` | `getSessionEnd()` |
  `java.util.Calendar` | `getSessionStart()` |
  `int` | `getSourceId()` |
  `boolean` | `isMonthPeriod()` |
  `void` | `setCount​(int count)` |
  `void` | `setDialupLogin​(java.lang.String dialupLogin)` |
  `void` | `setDialupNetList​(java.util.List<IpNet> dialupNetList)` |
  `void` | `setDialupSessionIp​(long dialupSessionIp)` |
  `void` | `setEmail​(java.lang.String email)` |
  `void` | `setFileName​(java.lang.String fileName)` |
  `void` | `setIpnFromAddr​(long ipnFromAddr)` |
  `void` | `setIpnHour​(java.util.Calendar hour)` |
  `void` | `setIpnIfaceSet​(java.util.Set<java.lang.Integer> ipnIfaceSet)` |
  `void` | `setIpnToAddr​(long ipnToAddr)` |
  `void` | `setLogins​(java.lang.String logins)` |
  `void` | `setModule​(int module)` |
  `void` | `setMonthPeriod​(boolean monthPeriod)` |
  `void` | `setSessionEnd​(java.util.Calendar dialupSesssionEnd)` |
  `void` | `setSessionStart​(java.util.Calendar dialupSessionStart)` |
  `void` | `setSourceId​(int sourceId)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DIALUP_MODULE

    public static final int DIALUP_MODULE
    See Also:
      Constant Field Values

  - ### IPN_MODULE

    public static final int IPN_MODULE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### DetailCreateTask

    public DetailCreateTask()

- ## Method Details

  - ### getCount

    public int getCount()

  - ### setCount

    public void setCount​(int count)

  - ### getLogins

    public java.lang.String getLogins()

  - ### setLogins

    public void setLogins​(java.lang.String logins)

  - ### getFileName

    public java.lang.String getFileName()

  - ### setFileName

    public void setFileName​(java.lang.String fileName)

  - ### isMonthPeriod

    public boolean isMonthPeriod()

  - ### setMonthPeriod

    public void setMonthPeriod​(boolean monthPeriod)

  - ### getIpnHour

    public java.util.Calendar getIpnHour()

  - ### setIpnHour

    public void setIpnHour​(java.util.Calendar hour)

  - ### getDialupLogin

    public java.lang.String getDialupLogin()

  - ### setDialupLogin

    public void setDialupLogin​(java.lang.String dialupLogin)

  - ### getSessionStart

    public java.util.Calendar getSessionStart()

  - ### setSessionStart

    public void setSessionStart​(java.util.Calendar dialupSessionStart)

  - ### getSessionEnd

    public java.util.Calendar getSessionEnd()

  - ### setSessionEnd

    public void setSessionEnd​(java.util.Calendar dialupSesssionEnd)

  - ### getIpnFromAddr

    public long getIpnFromAddr()

  - ### setIpnFromAddr

    public void setIpnFromAddr​(long ipnFromAddr)

  - ### getIpnToAddr

    public long getIpnToAddr()

  - ### setIpnToAddr

    public void setIpnToAddr​(long ipnToAddr)

  - ### getModule

    public int getModule()

  - ### setModule

    public void setModule​(int module)

  - ### getIpnIfaceSet

    public java.util.Set<java.lang.Integer> getIpnIfaceSet()

  - ### setIpnIfaceSet

    public void setIpnIfaceSet​(java.util.Set<java.lang.Integer> ipnIfaceSet)

  - ### getSourceId

    public int getSourceId()

  - ### setSourceId

    public void setSourceId​(int sourceId)

  - ### getDialupSessionIp

    public long getDialupSessionIp()

  - ### setDialupSessionIp

    public void setDialupSessionIp​(long dialupSessionIp)

  - ### getEmail

    public java.lang.String getEmail()

  - ### setEmail

    public void setEmail​(java.lang.String email)

  - ### getDialupNetList

    public java.util.List<IpNet> getDialupNetList()

  - ### setDialupNetList

    public void setDialupNetList​(java.util.List<IpNet> dialupNetList)